/**************************************************************************/
/**************************************************************************/

#ifndef _YFVCLIB_H_
#define _YFVCLIB_H_

#include <Arduino.h>

// 根据条件选择使用硬件串口或软件串口
#ifdef yfvcHSerial
#else
#include <SoftwareSerial.h>
#endif

/**************************************************************************/
/**************************************************************************/

// uint8_t getDataH();
 
class YFVClib {
    public:

        YFVClib(int pin_rx, int pin_tx, int baud);
        uint8_t getData();
        // uint8_t getDataH();

    private:
        int _pin_rx;			//RX pin
        int _pin_tx;			//TX pin
        int _baud;			//baud
        // SoftwareSerial yfvcSoftSerial;

    // 根据条件选择使用硬件串口或软件串口
    #ifdef yfvcHSerial
    HardwareSerial *_hardSerial;
    #else
    SoftwareSerial *_softSerial;
    #endif
};

#endif // _YFVCLIB_H_
